/* $Id: sofi_wavelength.h,v 1.11 2013-03-12 08:04:54 llundin Exp $
 *
 * This file is part of the SOFI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2013-03-12 08:04:54 $
 * $Revision: 1.11 $
 * $Name: not supported by cvs2svn $
 */

#ifndef SOFI_WAVELENGTH_H
#define SOFI_WAVELENGTH_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
                                       Prototypes
 -----------------------------------------------------------------------------*/

cpl_polynomial * sofi_wavelength_engine(const cpl_image *, const char *, 
                                        const char *, const char *,
                                        const char *, const cpl_polynomial *,
                                        double, int, double, int, int, int,
                                        double *);
double sofi_get_slitwidth(const char *);
cpl_polynomial * sofi_get_disprel_estimate(const char *, int);

#endif
